Package es.imim.DISGENET.internal.enrichment

# Class AbstractEnrichmentTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.enrichment.AbstractEnrichmentTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

Direct Known Subclasses:
  `AutomationGeneEnrichmentTask`, `AutomationVariantEnrichmentTask`, `GeneEnrichmentTask`, `VariantEnrichmentTask`

public abstract class AbstractEnrichmentTask extends org.cytoscape.work.AbstractTask

## Field Summary

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`AbstractEnrichmentTask(org.cytoscape.view.model.CyNetworkView cyNetworkView)`

## Method Summary

Modifier and Type
Method
Description
`HttpURLConnection`
`getConn()`
`org.cytoscape.model.CyNetwork`
`getCurrNetwork()`
`List<org.json.simple.JSONObject>`
`getEnrichList()`
`org.cytoscape.work.util.ListSingleSelection<Callable<org.cytoscape.model.CyColumn>>`
`listNodeColumnsNames()`
`static void`
`main(String[] args)`
`void`
`openConnection(URL apiUrl)`
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`
`void`
`setUrlParams(String urlParams)`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractEnrichmentTask

public AbstractEnrichmentTask(org.cytoscape.view.model.CyNetworkView cyNetworkView)

## Method Details

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Specified by:
  `run` in class `org.cytoscape.work.AbstractTask`
Throws:
  `Exception`

### getEnrichList

public List<org.json.simple.JSONObject> getEnrichList()

### getCurrNetwork

public org.cytoscape.model.CyNetwork getCurrNetwork()

### setUrlParams

public void setUrlParams(String urlParams)

### listNodeColumnsNames

public org.cytoscape.work.util.ListSingleSelection<Callable<org.cytoscape.model.CyColumn>> listNodeColumnsNames()

### getConn

public HttpURLConnection getConn()

### openConnection

public void openConnection(URL apiUrl) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args)